/* arjopt.h - definitions for arjopt.c, 1991 Mike McCombs */

/*///////////////////////// Function listing //////////////////////////*/
/* int cbrk_handler(void) cleans up and exits if ^C pressed            */
/* int harderror_handler(int err_value, int ax, int bp, int si) resets */
/*            system if hard error (Abort, Retry, Fail) occurs - allows*/
/*            user to choose to retry or exit to DOS                   */
/* unsigned getkey(void) get keyboard input                            */
/* char letter_upper(char t) international toupper(), checks country() */
/* int check_key(char *command, unsigned key) check for command letter */
/* void say_done(void) prints exit message. Called by at_exit().       */
/* void set_video(void) gets and sets video mode and colors.           */
/* void reset_video(void) resets video to original.                    */
/* void credit_line(void) puts credit line and directory line on screen*/
/* void make_bar(void) puts lower screen bars on screen.               */
/* void parse(void) expands wildcards and places result in array       */
/* void get_files(void) displays filenames in columns depending on     */
/*            video mode.                                              */
/* void display_usage(void) displays usage instructions. Called from   */
/*            main(), exits program upon completion.                   */
/* void pause(void) prints "Press ENTER"-type message and waits for    */
/*            keystroke                                                */
/* void user_input(int input_type) gets user input and passes result   */
/*            editline()                                               */
/* void instruct(int type) selects and inserts proper description line */
/* void execute(char key) sorts commands and assigns proper action     */
/* void delete_query(void) safety check before delete completed        */
/* void explain(char key) displays proper command explanation          */
/* void sub_command_box(char key) displays proper sub-menu             */
/* int duplicate(char *oldfile, char command) in copy and move command */
/*            creates the new filespec and performs renaming or copying*/
/*            work. Has various protectors.                            */
/* void make_arjopt(void) copies marked files into temp file used by   */
/*            ARJ.EXE.                                                 */
/* void multi_exec(char command) performs multiple ARJ 'e', 'x', and   */
/*            'l' commands.                                            */
/* void copy_exec(char command) performs multiple executions of copy,  */
/*            delete, and move.                                        */
/* void start (void) set video, setup screen display expand wildcards  */
/*            pass command to command_box                              */
/* void command_box(char *commands, int exec_flag) set appropriate     */
/*          command listing, handle commands entered by user. First    */
/*          time through, passes command to select(). Code for starting*/
/*          in command_box() instead is in the comments.               */
/* void select(void) manipulates cursor, highlighting and marking of   */
/*          files in the directory window. Returns to command_box().   */
/* int main (int argc, char argv[]) get and parse arguements, abort on */
/*          bad arguements, summon help screen if appropriate, give    */
/*          exit message, and reset video on exit - calls start()      */
/*/////////////////////////////////////////////////////////////////////*/

/* definitions for key select functions & editline() */
#undef KEY_RIGHT
#undef KEY_LEFT
#undef KEY_ENTER
#undef KEY_TAB
#undef KEY_UP
#undef KEY_DN
#undef KEY_SPACE
#undef KEY_ESCAPE
#undef KEY_END
#undef KEY_HOME
#undef KEY_INSERT
#undef KEY_DELETE
#undef KEY_BACKSPACE
#define KEY_RIGHT      19712
#define KEY_LEFT       19200
#define KEY_ENTER      13
#define KEY_TAB        9
#define KEY_UP         18432
#define KEY_DN         20480
#define KEY_SPACE      32
#define KEY_ESCAPE     27
#define KEY_END        20224
#define KEY_HOME       18176
#define KEY_INSERT     20992
#define KEY_DELETE     21248
#define KEY_BACKSPACE  8

void command_box(char *, int); /* defined to allow current function order */

